uart_unregister_driver
Prev | Chapter 23. 16x50 UART Driver | Next

## Name

uart_unregister_driver — remove a driver from the uart core layer

## Synopsis

`void uart_unregister_driver (` | struct uart_driver * | drv`)`;

## Arguments

`drv`

  low level driver structure

## Description

Remove all references to a driver from the core driver. The low level driver must have removed all its ports via the `uart_remove_one_port` if it registered them with `uart_add_one_port`. (ie, drv->port == NULL)

Prev | Up | Next
uart_register_driver | Home | uart_add_one_port